<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <groupId>de.darcoweb</groupId>
    <artifactId>VaroPlugin</artifactId>
    <packaging>pom</packaging>
    <version>1.4.1</version>

    <!-- MODULES -->
    <modules>
        <module>SpigotPlugin</module>
        <module>Annotations</module>
        <module>AnnotationProcessors</module>
    </modules>

    <!-- PLUGIN MANAGEMENT - APPLIES TO ALL MODULES (or does it?) -->
    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>3.3</version>
                    <configuration>
                        <source>1.8</source>
                        <target>1.8</target>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>

    <!-- GLOABL DEPENDENCIES (or are they global?) -->
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>1.16.4</version>
                <scope>provided</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>